<template>
    <div class='sm:h-screen sm:flex items-center sm:bg-xmas-gray sm:px-5'>
        <div class='max-w-7xl mx-auto font-mont sm:flex min-h-100 w-full relative'>    
            <div class='flex-1 justify-center py-10 sm:rounded-lg sm:shadow-md flex-shrink-0 bg-white px-4'>
                    <transition name='fade' mode='out-in'>
                        <div v-if='$store.state.main.loading' class='absolute w-full h-full bg-white sm:rounded-lg z-50 flex items-center justify-center top-0 left-0' key='loader'>
                            <clip-loader :v-if='true' :loading="true" size="12rem" class=''></clip-loader>
                        </div>
                    </transition>
                    <div>
                        <img :src="'images/logo.png'" alt='Logo' class='w-64 sm:w-64 mx-auto' />
                        <template v-if='$store.getters["phase/isApplication"]'>
                            <AwaitMessage />
                        </template>
                        <p v-if='$store.getters["phase/isConfirmation"]'>
                            <ConfirmationModule />
                        </p>
                        <p v-if='$store.getters["phase/isGifting"]'>
                            <DrawModule />
                        </p>
                        <div class='mt-14 sm:mt-0'>
                            <buttonStack icon='logout' label="Изход" @click='logout'></buttonStack>
                        </div>
                    </div>
            </div>
        </div>        
    </div>
</template>

<script>
import ButtonStack from '@/components/ButtonStack'
import ClipLoader from 'vue-spinner/src/ClipLoader'
import ApiService from '@/services/ApiService'
import AwaitMessage from '@/pages/DashboardPanels/AwaitMessage'

import ConfirmationModule from '@/pages/DashboardPanels/ConfirmationModule'
import DrawModule from '@/pages/DashboardPanels/DrawModule'

export default {
    name: 'Dashboard',
    components: {        
        ButtonStack,
        ClipLoader,
        AwaitMessage,
        ConfirmationModule,
        DrawModule,
    },
    data() {
        return {
        }
    },
    mounted() {
        this.$store.dispatch('auth/getAuthUser');
        this.$store.dispatch('phase/getCurrentPhase');
    },
    methods: {
        async logout() {
            let response = await axios.post('/api/logout')
            this.$router.push('/');
        },
    }
}

</script>